import * as file_system from 'fs';
import * as path from 'path';

const Blocking = () => {
    // Blocks here until 'Data.txt' file is read:
    const data: Buffer = file_system.readFileSync(path.resolve(__dirname, '..') + "/Data.txt");
    console.log(data.toLocaleString()); // 'Data' is displayed...
    console.info("This text appears *AFTER* 'Data'");
}

export default Blocking;
